GRIMPICKER(1)

NAME

grimpicker - a simple color picker for wlroots

SYNOPSIS

grimpicker [OPTIONS]

OPTIONS

-p, --print
    Print to stdout

-d, --draw
    Draw a colored block

-e, --escape
    Print shell escape sequences

-c, --copy
    Copy to clipboard

-n, --notify
    Send a notification

-h, --help
    Show help message and quit

-v, --version
    Show version number and quit

DESCRIPTION

grimpicker is a color picker that uses slurp and grim. These programs rely on zwlr_layer_shell_v1 and wlr-screencopy-unstable-v1 (maybe be replaced with ext-image-capture-source-v1 and ext-image-copy-capture-v1 in the future) wayland protocols (implemented in wlroots-based compositors, e.g. sway).

It has several output options, they can be combined.

--copy needs wl-clipboard to be installed.

--draw and --escape need a terminal with truecolor support (e.g. foot).

--notify needs libnotify to be installed and a notification daemon (e.g. mako or fnott) to be running.

--print and --draw are selected by default if no arguments are provided.

EXAMPLES

An example usage pattern is to add this binding to your sway config:

    # Super+Print: color picker
    bindsym --to-code $mod+Print exec grimpicker --notify

SEE ALSO

slurp(1), grim(1), grimshot(1)